yi-language-0.19.2: Collection of language-related Yi libraries.

Safe Haskell | None
Language | Haskell2010

Yi.Lexer.Compilation

# Documentation

lexer :: StyleLexerASI HlState Token Source #

data Token Source #

Constructors

Report String Int Int String |
Text String |

#### Instances

Instances details

Show Token Source # |
Instance details Defined in Yi.Lexer.Compilation Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #